Getting Started with the Kendo UI for Angular ScrollView
The ScrollView displays a horizontal collection of content or image views with built-in navigation between them.
Basic Usage
The following example demonstrates the ScrollView in action.
import { Component } from '@angular/core';
@Component({
selector: 'my-app',
template: `
<kendo-scrollview
[data]="items"
[width]="width"
[height]="height"
[arrows]="true"
[pageable]="true">
<ng-template let-item="item">
<h2 class="demo-title">{{item.title}}</h2>
<img src='{{item.url}}' alt='{{item.title}}' [ngStyle]="{minWidth: width}" draggable="false" />
</ng-template>
</kendo-scrollview>
`,
styles: [`
.k-scrollview-wrap {
margin: 0 auto;
}
.demo-title {
position: absolute;
top: 0;
left: 0;
right: 0;
margin: 0;
padding: 15px;
color: #fff;
background-color: rgba(0,0,0,.4);
text-align: center;
font-size: 24px;
}
`]
})
export class AppComponent {
public items: any[] = [
{ title: 'Flower', url: 'https://bit.ly/2cJjYuB' },
{ title: 'Mountain', url: 'https://bit.ly/2cTBNaL' },
{ title: 'Sky', url: 'https://bit.ly/2cJl3Cx' }
];
public width = '100%';
public height = '500px';
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { ScrollViewModule } from '@progress/kendo-angular-scrollview';
import { AppComponent } from './app.component';
@NgModule({
bootstrap: [AppComponent],
declarations: [AppComponent],
imports: [BrowserModule, BrowserAnimationsModule, ScrollViewModule]
})
export class AppModule {}
import { AppModule } from './app.module';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
const platform = platformBrowserDynamic();
platform.bootstrapModule(AppModule);
Installation
Either use the quick setup (Angular CLI v6 or later) or manually add the package (Angular CLI v5 or earlier).
Quick Setup with Angular CLI v6 or Later
Angular CLI v6 supports the addition of packages through the ng add command which executes in one step the set of otherwise individually needed commands.
ng add @progress/kendo-angular-scrollview
Manual Setup
-
Download and install the package.
npm install --save @progress/kendo-angular-scrollview @progress/kendo-angular-common -
Once installed, import the ScrollViewModule in your application root or feature module.
import { NgModule } from '@angular/core'; import { BrowserModule } from '@angular/platform-browser'; import { BrowserAnimationsModule } from '@angular/platform-browser/animations'; import { ScrollViewModule } from '@progress/kendo-angular-scrollview'; import { AppComponent } from './app.component'; @NgModule({ bootstrap: [AppComponent], declarations: [AppComponent], imports: [BrowserModule, BrowserAnimationsModule, ScrollViewModule] }) export class AppModule { } You are required to install one of the Kendo UI themes for Angular to style your component. For more information on how to add the styles, refer to the section on styling.
Dependencies
The ScrollView package requires the following peer dependencies that have to be installed by your application:
- @angular/animations
- @angular/common
- @angular/core
- @progress/kendo-angular-l10n
- @progress/kendo-angular-common
- rxjs
The ScrollView package utilizes the Angular animation system, which supports a specific set of browsers.
Functionality and Features
- Animations
- Arrows
- Paging
- Endless scrolling mode
- Dimensions
- Data sources
- Active items
- Globalization
- Keyboard navigation
- Accessibility

ScrollView Overview
The ScrollView displays a horizontal collection of content or image views with built-in navigation between them.
It can be scrolled through dragging, applying gestures, arrow clicking, page clicking, or tapping.
The ScrollView wrapper for Vue is a client-side wrapper for the Kendo UI ScrollView widget.
Basic Usage
The following example demonstrates how to initialize the ScrollView.
<div id="vueapp" class="vue-app">
<kendo-datasource ref="datasource1"
:type="'odata'"
:page-size="pageSize"
:server-paging="true"
:transport-read="'https://demos.telerik.com/kendo-ui/service/Northwind.svc/Products'">
</kendo-datasource>
<div>
<kendo-scrollview :data-source-ref="'datasource1'"
:enable-pager="true"
:template="itemTemplate"
v-bind:style="{ height: '300px', width: '600px',background: '#eee'}"
>
</kendo-scrollview>
</div>
</div>
Vue.use(ScrollViewInstaller);
Vue.use(DataSourceInstaller);
new Vue({
el: '#vueapp',
data () {
return {
page: 1,
pageSize: 18,
itemTemplate:
'# for (var i = 0; i < data.length; i++) { #' +
'<div class="product" style="width: 100px; float: left; height: 100px; color: white; background-image:url(https://demos.telerik.com/kendo-ui/content/web/foods/#=data[i].ProductID#.jpg)" title="#=data[i].ProductName#">' +
'</div>' +
'# } #'
}
}
})
Installation
To initialize the ScrollView, either:
Initializing with Webpack
-
Install Kendo UI and add a theme.
npm install --save @progress/kendo-ui npm install --save @progress/kendo-theme-default
-
Install the Kendo UI ScrollView package for Vue.
npm install --save @progress/kendo-scrollview-vue-wrapper
-
Import the Kendo UI packages to the App component. If you use the Kendo UI components more than once in your application, add all Kendo UI-related files to the
main.js
file. If you use the Kendo UI components once in your application, add the Kendo UI-related files the component where they will be referred.import '@progress/kendo-ui' // This will import the entire Kendo UI library // As an alternative, you could import only the scripts that are used by a specific widget: // import '@progress/kendo-ui/js/kendo.scrollview' // Imports only the ScrollView script and its dependencies import '@progress/kendo-theme-default/dist/all.css' import { ScrollView, ScrollViewInstaller } from '@progress/kendo-scrollview-vue-wrapper' Vue.use(ScrollViewInstaller) new Vue({ el: '#app', components: { ScrollView } })
Events
The following example demonstrates basic ScrollView events. You can subscribe to all events of the ScrollView by the handler name.
<div id="vueapp" class="vue-app">
<kendo-datasource ref="datasource1"
:type="'odata'"
:pageSize="pageSize"
:serverPaging="true"
:transportRead="'https://demos.telerik.com/kendo-ui/service/Northwind.svc/Products'">
</kendo-datasource>
<div>
<kendo-scrollview :dataSourceRef="'datasource1'"
:enablePager="true"
v-on:change="onChange"
:template="itemTemplate"
v-bind:style="{ height: '600px' }"
>
</kendo-scrollview>
</div>
</div>
Vue.use(ScrollViewInstaller);
new Vue({
el: '#vueapp',
data () {
return {
page: 1,
pageSize: 3,
itemTemplate:
'# for (var i = 0; i < data.length; i++) { #' +
'<div>' +
'<div>#= data[i].ProductName #</div>' +
'</div>' +
'# } #'
}
}
methods: {
onChange () {
console.log("ScrollView item was changed.");
}
}
})